names-methods {PivotalR} | R Documentation

## The Names of an object

### Description

This function gives the names of a `db.obj`, which are the column names of a `db.table` or `db.view`. The names are returned as a list

### Usage

    ## S4 method for signature 'db.obj'
    names(x)
    ## S4 replacement method for signature 'db.obj'
    names(x) <- value

### Arguments

`x` | A `db.obj`. The input data frame for which the column names are required.
`value` | An array of strings. New names to replace the names of `x`.

### Value

Returns a string with the list of the column names of data frame. The names are ordered.

### Author(s)

Author: Predictive Analytics Team at Pivotal Inc.

Maintainer: Frank McQuillan, Pivotal Inc. fmcquillan@pivotal.io

### See Also

`db.obj`, `db.data.frame`, `db.table`, `db.view`, `db.Rquery` are the class hierarchy structure of this package.

### Examples

    ## Not run:

    ## set up the database connection
    ## Assume that .port is port number and .dbname is the database name
    cid <- db.connect(port = .port, dbname = .dbname, verbose = FALSE)

    ## create a table from the example data.frame "abalone"
    delete("abalone", conn.id = cid)
    x <- as.db.data.frame(abalone, "abalone", conn.id = cid, verbose = FALSE)
    ## preview of a table
    lk(x, nrows = 10) # extract 10 rows of data

    ## get names of all columns
    names(x)

    db.disconnect(cid, verbose = FALSE)

    ## End(Not run)

[Package PivotalR version 0.1.18.3.1 Index]